Skip to main content
GET
/
v1
/
krs
/
lookup
Pobranie danych spółki z KRS
curl --request GET \
  --url https://api.krdata.pl/v1/krs/lookup \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "identifiers": {
      "krs": "<string>",
      "nip": "<string>",
      "regon": "<string>",
      "registry_type": "<string>"
    },
    "name": "<string>",
    "name_normalized": "<string>",
    "relations_summary": {
      "officers": 123,
      "shareholders": 123,
      "proxies": 123,
      "owned_subsidiaries": 123
    },
    "krz_records_count": 123,
    "msig_records_count": 123,
    "crbr_available": true,
    "metadata": {
      "first_seen": "2023-11-07T05:31:56Z",
      "last_updated": "2023-11-07T05:31:56Z",
      "source_updated_at": "2023-11-07T05:31:56Z"
    },
    "legal_form": "<string>",
    "registered_at": "2023-12-25",
    "current_excerpt": {}
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

id
string<uuid> | null
krs
string | null
Required string length: 10
Pattern: ^\d{10}$
nip
string | null
Required string length: 10
Pattern: ^\d{10}$
regon
string | null
Pattern: ^\d{9}(\d{5})?$
pesel
string | null
Pattern: ^\d{11}$

Response

Successful Response

id
string<uuid>
required
identifiers
Identifiers · object
required
name
string
required
name_normalized
string
required
relations_summary
RelationsSummary · object
required
krz_records_count
integer
required
msig_records_count
integer
required
crbr_available
boolean
required
metadata
Metadata · object
required
registered_at
string<date> | null
current_excerpt